Add a new function, similar to create_function

- « runkit7_constant_remove

- runkit7_function_copy »

- PHP Manual
- runkit7 Functions
- Add a new function, similar to create_function

# runkit7_function_add

(PECL runkit7 >= Unknown)

runkit7_function_add — Add a new function, similar to create_function()

### Description

runkit7_function_add(
string `$function_name`,
string `$argument_list`,
string `$code`,
bool `$return_by_reference` = `null`,
string `$doc_comment` = `null`,
string `$return_type` = ?,
bool `$is_strict` = ?
): bool
runkit7_function_add(
string `$function_name`,
Closure `$closure`,
string `$doc_comment` = `null`,
string `$return_type` = ?,
bool `$is_strict` = ?
): bool

### Parameters

`function_name`

  Name of the function to be created

`argument_list`

  Comma separated argument list

`code`

  Code making up the function

`closure`

  A closure that defines the function.

`return_by_reference`

  Whether the function should return by reference.

`doc_comment`

  The doc comment of the function.

`return_type`

  The return type of the function.

`is_strict`

  Whether the function should behave as if it were declared in a file with `strict_types=1`

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 A runkit7_function_add() example

    <?phprunkit7_function_add('testme','$a,$b','echo "The value of a is $a\n"; echo "The value of b is $b\n";');testme(1,2);?>

The above example will output:

    The value of a is 1
    The value of b is 2

### See Also

- create_function() - Create a function dynamically by evaluating a string of code
- runkit7_function_redefine() - Replace a function definition with a new implementation
- runkit7_function_copy() - Copy a function to a new function name
- runkit7_function_rename() - Change a function's name
- runkit7_function_remove() - Remove a function definition
- runkit7_method_add() - Dynamically adds a new method to a given class